<?php
require(dirname(__FILE__) .'/conobj.php');
define('OT_MODE', 'pc');

$pcWap = OT_MODE;

switch ($mudi){
	case 'autoImg':
		// 文章自动配缩略图
		AppAutoImg::InfoImg();
		break;

	case 'audioVideo':
		// 音乐库预览
		AppAudioVideo::PlayView();
		break;

	case 'url':
		// 网址跳转
		Area::GoUrl();
		break;

	case 'dashang':
		// 会员打赏
		Area::UserDashangJs();
		break;

	case 'newsDeal':
		// 文章信息处理，如增加文章阅读量
		Info::NewsDeal();
		break;

	case 'checkInfoRepeatTheme':
		// 文章标题检测是否有重复
		Info::CheckRepeatTheme();
		break;

	case 'sendPhoneForm':
		// 发送手机短信验证码框
		AreaApp::SendPhoneForm($pcWap);
		break;

	case 'changyan':
		// 畅言登录和退出
		AppChangyan::Login();
		break;

	case 'getWxJsSdk':
		// 微信分享jssdk
		AreaApp::GetWeixinJs();
		break;

	case 'qrcode':
		// 显示二维码图（迁移到 read.php，后期作废删除）
		Area::MakeQRcode();
		break;

	case 'loadVideo':
		// 音乐库调取option选项
		AppAudioVideo::LoadOption();
		break;

	case 'usersTopMenu':
		Users::TopMenuWeb();
		break;

	case 'usersHomeLogin':
		Users::HomeLoginWeb();
		break;

	case 'chk':
		// 显示网站调试信息
		Area::ChkInfo();
		break;

	case 'userApiLogin':
		// 会员API快捷登录
		AppLogin::Login($pcWap);
		break;

	case 'autoRun':
		// 自动操作运行
		AutoRun::Deal($pcWap);
		break;

	case 'addGoodsVote':
		// 淘宝客基础包 淘客喜欢+1
		AppTaobaokeDeal::AddGoodsVote();
		break;

	case 'loadGoodsJsList':
		// 淘宝客基础包 读取单品JS模式数据
		AppTaobaoke::LoadGoodsJsList();
		break;

	case 'loadGoodsJsNews':
		// 淘宝客基础包 读取内容页推荐商品JS模式数据
		AppTaobaoke::LoadGoodsJsNews($pcWap);
		break;

	case 'goods':
		// 淘宝客基础包 跳转购买链接
		AppTaobaoke::GoBuy($pcWap);
		break;

	case 'robot':
		// 访客统计/蜘蛛爬行 访客信息记录
		AppRobot::UserVisit($pcWap);
		break;

	case 'scriptRun':
		// 脚本运行
		ScriptRun::Start($pcWap);
		break;

	case 'installStati':
		// 安装信息统计
		Area::InstallStati();
		break;

	default :
		die('err');
}

$DB->Close();
?>